package com.zehong.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 交易项目转移信息对象 t_trade_change_info
 * 
 * @author zehong
 * @date 2023-09-12
 */
public class TTradeChangeInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 转移主键 */
    private Long changeId;

    /** 关联交易单 */
    @Excel(name = "关联交易单")
    private Long relationTradeId;

    /** 原交易经办人 */
    @Excel(name = "原交易经办人")
    private Long originalTradeTransactorId;

    /** 原交易部门 */
    @Excel(name = "原交易部门")
    private Long originalTradeDeptId;

    /** 新交易经办人 */
    @Excel(name = "新交易经办人")
    private Long newTradeTransactorId;

    /** 新交易部门 */
    @Excel(name = "新交易部门")
    private Long newTradeDeptId;

    private String originalTradeTransactorName;

    private String originalTradeDeptName;

    private String newTradeTransactorName;

    private String newTradeDeptName;

    /** 转移时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "转移时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date changeTime;

    public void setChangeId(Long changeId) 
    {
        this.changeId = changeId;
    }

    public Long getChangeId() 
    {
        return changeId;
    }
    public void setRelationTradeId(Long relationTradeId) 
    {
        this.relationTradeId = relationTradeId;
    }

    public Long getRelationTradeId() 
    {
        return relationTradeId;
    }
    public void setOriginalTradeTransactorId(Long originalTradeTransactorId) 
    {
        this.originalTradeTransactorId = originalTradeTransactorId;
    }

    public Long getOriginalTradeTransactorId() 
    {
        return originalTradeTransactorId;
    }
    public void setOriginalTradeDeptId(Long originalTradeDeptId) 
    {
        this.originalTradeDeptId = originalTradeDeptId;
    }

    public Long getOriginalTradeDeptId() 
    {
        return originalTradeDeptId;
    }
    public void setNewTradeTransactorId(Long newTradeTransactorId) 
    {
        this.newTradeTransactorId = newTradeTransactorId;
    }

    public Long getNewTradeTransactorId() 
    {
        return newTradeTransactorId;
    }
    public void setNewTradeDeptId(Long newTradeDeptId) 
    {
        this.newTradeDeptId = newTradeDeptId;
    }

    public Long getNewTradeDeptId() 
    {
        return newTradeDeptId;
    }
    public void setChangeTime(Date changeTime) 
    {
        this.changeTime = changeTime;
    }

    public Date getChangeTime() 
    {
        return changeTime;
    }

    public String getOriginalTradeTransactorName() {
        return originalTradeTransactorName;
    }

    public void setOriginalTradeTransactorName(String originalTradeTransactorName) {
        this.originalTradeTransactorName = originalTradeTransactorName;
    }

    public String getOriginalTradeDeptName() {
        return originalTradeDeptName;
    }

    public void setOriginalTradeDeptName(String originalTradeDeptName) {
        this.originalTradeDeptName = originalTradeDeptName;
    }

    public String getNewTradeTransactorName() {
        return newTradeTransactorName;
    }

    public void setNewTradeTransactorName(String newTradeTransactorName) {
        this.newTradeTransactorName = newTradeTransactorName;
    }

    public String getNewTradeDeptName() {
        return newTradeDeptName;
    }

    public void setNewTradeDeptName(String newTradeDeptName) {
        this.newTradeDeptName = newTradeDeptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("changeId", getChangeId())
            .append("relationTradeId", getRelationTradeId())
            .append("originalTradeTransactorId", getOriginalTradeTransactorId())
            .append("originalTradeDeptId", getOriginalTradeDeptId())
            .append("newTradeTransactorId", getNewTradeTransactorId())
            .append("newTradeDeptId", getNewTradeDeptId())
            .append("remark", getRemark())
            .append("changeTime", getChangeTime())
            .toString();
    }
}
